databases/py-PgSQL - The NetBSD Packages Collection

Python DB-API 2.0 compliant interface to PostgreSQL

pyPgSQL is a package of two modules that provide a Python DB-API 2.0 compliant
interface to PostgreSQL databases. The first module, libpq, exports the
PostgreSQL C API to Python. This module is written in C and can be compiled
into Python or can be dynamically loaded on demand. The second module, PgSQL,
provides the DB-API 2.0 compliant interface and support for various PostgreSQL
data types, such as INT8, NUMERIC, MONEY, BOOL, ARRAYS, etc. This module is
written in Python.

Build dependencies

devel/py-setuptools44 pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

lang/python27 time/py-mxDateTime databases/postgresql14-client lang/python27 time/py-mxDateTime databases/postgresql14-client

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64py27-PgSQL-2.4nb10.tgz
NetBSD 10.0aarch64py27-PgSQL-2.4nb10.tgz
NetBSD 10.0aarch64ebpy27-PgSQL-2.4nb10.tgz
NetBSD 10.0earmv6hfpy27-PgSQL-2.4nb10.tgz
NetBSD 10.0earmv6hfpy27-PgSQL-2.4nb10.tgz
NetBSD 10.0earmv7hfpy27-PgSQL-2.4nb10.tgz
NetBSD 10.0earmv7hfpy27-PgSQL-2.4nb10.tgz
NetBSD 10.0i386py27-PgSQL-2.4nb10.tgz
NetBSD 10.0i386py27-PgSQL-2.4nb10.tgz
NetBSD 10.0powerpcpy27-PgSQL-2.4nb10.tgz
NetBSD 10.0powerpcpy27-PgSQL-2.4nb10.tgz
NetBSD 10.0sparc64py27-PgSQL-2.4nb10.tgz
NetBSD 10.0x86_64py27-PgSQL-2.4nb10.tgz
NetBSD 10.0x86_64py27-PgSQL-2.4nb10.tgz
NetBSD 9.0aarch64py27-PgSQL-2.4nb10.tgz
NetBSD 9.0aarch64py27-PgSQL-2.4nb10.tgz
NetBSD 9.0earmv6hfpy27-PgSQL-2.4nb10.tgz
NetBSD 9.0earmv6hfpy27-PgSQL-2.4nb10.tgz
NetBSD 9.0earmv7hfpy27-PgSQL-2.4nb10.tgz
NetBSD 9.0earmv7hfpy27-PgSQL-2.4nb10.tgz
NetBSD 9.0i386py27-PgSQL-2.4nb10.tgz
NetBSD 9.0i386py27-PgSQL-2.4nb10.tgz
NetBSD 9.0mips64ebpy27-PgSQL-2.4nb10.tgz
NetBSD 9.0powerpcpy27-PgSQL-2.4nb10.tgz
NetBSD 9.0powerpcpy27-PgSQL-2.4nb9.tgz
NetBSD 9.0powerpcpy27-PgSQL-2.4nb10.tgz
NetBSD 9.0powerpcpy27-PgSQL-2.4nb9.tgz
NetBSD 9.0powerpcpy27-PgSQL-2.4nb10.tgz
NetBSD 9.0powerpcpy27-PgSQL-2.4nb9.tgz
NetBSD 9.0sparc64py27-PgSQL-2.4nb10.tgz
NetBSD 9.0x86_64py27-PgSQL-2.4nb10.tgz
NetBSD 9.0x86_64py27-PgSQL-2.4nb10.tgz
NetBSD 9.3x86_64py27-PgSQL-2.4nb10.tgz
NetBSD 9.3x86_64py27-PgSQL-2.4nb10.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.